using System;

class Program
{
    static void Main()
    {
        string[] ulaz = Console.ReadLine().Split();
        int N = int.Parse(ulaz[0]); 
        int L = int.Parse(ulaz[1]); 

        int[] visine = new int[N];
        string[] visineUnos = Console.ReadLine().Split(); 
        for (int i = 0; i < N; i++)
        {
            visine[i] = int.Parse(visineUnos[i]);
        }

        for (int i = 0; i < N; i++)
        {
            if (visine[i] <= L)
            {
                Console.WriteLine(i + 1);
                return;
            }
        }

        Console.WriteLine(-1);
    }
}